; $Id: ab32.inc,v 1.2 2001/08/17 11:54:42 rwuest Exp $
;
; SPGMR08 68HC08AB32 Loader
; Register definitions for the 68HC08AB32
; Copyright (c), 2001, Sirius Engineering Company
;
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License version 2.
; See the file COPYING that is distributed with this program.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

PTA	EQU $00
PTB	EQU $01
PTC	EQU $02
PTD	EQU $03
DDRA	EQU $04
DDRB	EQU $05
DDRC	EQU $06
DDRD	EQU $07
PTE	EQU $08
PTF	EQU $09
PTG	EQU $0A
PTH	EQU $0B
DDRE	EQU $0C
DDRF	EQU $0D
DDRG	EQU $0E
DDRH	EQU $0F

SPCR	EQU $10
SPSCR	EQU $11
SPDR	EQU $12

SCC1    EQU $13
SCC2    EQU $14
SCC3    EQU $15

SCS1    EQU $16
SCS2    EQU $17
SCDR    EQU $18
SCBR    EQU $19

ISCR	EQU $1A
KBSCR	EQU $1B

PCTL	EQU $1C
PBWC	EQU $1D
PPG	EQU $1E


CONFIG1 EQU $1F

TASC    EQU $20
KBIER	EQU $21
TACNT   EQU $22
TACNTH  EQU $22
TACNTL  EQU $23
TAMOD   EQU $24
TAMODH  EQU $24
TAMODL  EQU $25

TASC0   EQU $26
TACH0   EQU $27
TACH0H  EQU $27
TACH0L  EQU $28

TASC1   EQU $29
TACH1   EQU $2A
TACH1H  EQU $2A
TACH1L  EQU $2B

TASC2   EQU $2C
TACH2   EQU $2D
TACH2H  EQU $2D
TACH2L  EQU $2E

TASC3   EQU $2F
TACH3   EQU $30
TACH3H  EQU $30
TACH3L  EQU $31

TBSC2   EQU $32
TBCH2   EQU $33
TBCH2H  EQU $33
TBCH2L  EQU $34

TBSC3   EQU $35
TBCH3   EQU $36
TBCH3H  EQU $36
TBCH3L  EQU $37

ADSCR   EQU $38
ADR     EQU $39
ADCLK   EQU $3A

; reserved $3B
; reserved $3C

PTDPUE	EQU $3D
PTFPUE	EQU $3E

CONFIG2	EQU $3F


TBSC    EQU $40
TBCNT   EQU $41
TBCNTH  EQU $41
TBCNTL  EQU $42
TBMOD   EQU $43
TBMODH  EQU $43
TBMODL  EQU $44

TBSC0   EQU $45
TBCH0   EQU $46
TBCH0H  EQU $46
TBCH0L  EQU $47

TBSC1   EQU $48
TBCH1   EQU $49
TBCH1H  EQU $49
TBCH1L  EQU $4A

PSC	EQU $4B
PCNT	EQU $4C
PCNTH	EQU $4C
PCNTL	EQU $4D

PMOD	EQU $4E
PMODH	EQU $4E
PMODL	EQU $4F

SBSR    EQU $FE00
SRSR    EQU $FE01
; Reserved $FE02
SBFCR   EQU $FE03
; Reserved $FE04
; Reserved $FE05
; Reserved $FE06
;Reserved  $FE07
FLCR    EQU $FE08
; Reserved $FE09
; Reserved $FE0A
; Reserved $FE0B
BRKH    EQU $FE0C
BRKL    EQU $FE0D
BRKSCR  EQU $FE0E
LVISR   EQU $FE0F

EEDIVHNVR EQU $FE10
EEDIVLNVR EQU $FE11
EEDIVH	EQU $FE1A
EEDICL	EQU $FE1B
EENVR	EQU $FE1C
EECR	EQU $FE1D
; Reserved $FE1E
EEACR	EQU $FE1F

FLBPR   EQU $FF7E
COPCTL  EQU $FFFF

