/*
 * A n t l r  S e t s / E r r o r  F i l e  H e a d e r
 *
 * Generated from: cli.g
 *
 * Terence Parr, Russell Quong, Will Cohen, and Hank Dietz: 1989-2001
 * Parr Research Corporation
 * with Purdue University Electrical Engineering
 * With AHPCRC, University of Minnesota
 * ANTLR Version 1.33MR33
 */

#define ANTLR_VERSION	13333
#include "pcctscfg.h"
#include "pccts_stdio.h"


typedef union {
  long long ival;
  char *hseq;		/*	hex sequence data is malloc'ed to this ptr */
  char *strdata;
  char str[128];
} Attrib;
void zzcr_attr(Attrib *attr, int type, char *text );
#define USER_ZZSYN
#define zzSET_SIZE 8
#define DEMAND_LOOK
#include "antlr.h"
#include "tokens.h"
#include "dlgdef.h"
#include "err.h"

ANTLRChar *zztokens[58]={
	/* 00 */	"Invalid",
	/* 01 */	"End",
	/* 02 */	"STR",
	/* 03 */	"[\\ \\t\\r]",
	/* 04 */	"\\n",
	/* 05 */	"PLUS",
	/* 06 */	"COLON",
	/* 07 */	"TO",
	/* 08 */	"FROM",
	/* 09 */	"ON",
	/* 10 */	"OFF",
	/* 11 */	"READ",
	/* 12 */	"WRITE",
	/* 13 */	"ERASE",
	/* 14 */	"PROGRAM",
	/* 15 */	"VERIFY",
	/* 16 */	"QUIT",
	/* 17 */	"RESET",
	/* 18 */	"SCODES",
	/* 19 */	"WCODES",
	/* 20 */	"TDEBUG",
	/* 21 */	"SERIAL",
	/* 22 */	"SET",
	/* 23 */	"VERSN",
	/* 24 */	"SOURCE",
	/* 25 */	"RUN",
	/* 26 */	"COMMENT",
	/* 27 */	"SCOPE",
	/* 28 */	"TCPU",
	/* 29 */	"SEND",
	/* 30 */	"SENDE1",
	/* 31 */	"SENDE2",
	/* 32 */	"DTR",
	/* 33 */	"MONITOR",
	/* 34 */	"STATUS",
	/* 35 */	"PORT",
	/* 36 */	"SP",
	/* 37 */	"STACK",
	/* 38 */	"FILEINFO",
	/* 39 */	"BLANK",
	/* 40 */	"ALL",
	/* 41 */	"SHOW",
	/* 42 */	"PUSH",
	/* 43 */	"TRY",
	/* 44 */	"AS",
	/* 45 */	"THELP",
	/* 46 */	"BAUDRATE",
	/* 47 */	"AB32",
	/* 48 */	"GP32",
	/* 49 */	"JB8",
	/* 50 */	"CINT",
	/* 51 */	"INT",
	/* 52 */	"MINT",
	/* 53 */	"MOTINT",
	/* 54 */	"GARBAGE",
	/* 55 */	"Command",
	/* 56 */	"Integer",
	/* 57 */	";"
};
SetWordType zzerr1[8] = {0x10,0x0,0x0,0x0, 0x1,0x0,0x80,0x0};
SetWordType zzerr2[8] = {0x12,0x0,0x0,0x0, 0x1,0x0,0x80,0x2};
SetWordType zzerr3[8] = {0x0,0x0,0x0,0x0, 0x1,0x0,0x80,0x0};
SetWordType setwd1[58] = {0x0,0xec,0x0,0x0,0xe1,0x0,0x0,
	0x0,0x0,0x0,0x0,0x13,0x13,0x13,0x13,
	0x13,0x13,0x13,0x13,0x13,0x13,0x13,0x13,
	0x13,0x13,0x13,0x13,0x13,0x13,0x13,0x13,
	0x13,0x13,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0xa0};
SetWordType zzerr4[8] = {0x92,0x0,0x0,0x0, 0x0,0x0,0x0,0x2};
SetWordType zzerr5[8] = {0x0,0x0,0x0,0x0, 0x30,0x0,0x0,0x1};
SetWordType zzerr6[8] = {0x0,0x1,0x0,0x0, 0x0,0x0,0x0,0x1};
SetWordType zzerr7[8] = {0x12,0x0,0x0,0x0, 0x0,0x0,0x0,0x3};
SetWordType setwd2[58] = {0x0,0xd6,0x0,0x0,0xd6,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x29,0x29,0x29,0x29,0x0,
	0x0,0x0,0xd6};
SetWordType zzerr8[8] = {0x0,0x1,0x0,0x0, 0x0,0x0,0x0,0x1};
SetWordType zzerr9[8] = {0x0,0x0,0x40,0x20, 0x0,0xe,0x0,0x0};
SetWordType zzerr10[8] = {0x0,0x1,0x0,0x0, 0x80,0x10,0x0,0x1};
SetWordType setwd3[58] = {0x0,0xbe,0x0,0x0,0xbe,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x41,0x41,0x41,0x41,0x0,
	0x0,0x0,0xbe};
SetWordType zzerr11[8] = {0x0,0x1,0x0,0x0, 0x0,0x0,0x0,0x1};
SetWordType zzerr12[8] = {0x0,0x1,0x0,0x0, 0x0,0x1,0x0,0x1};
SetWordType zzerr13[8] = {0x0,0x1,0x0,0x0, 0x0,0x1,0x0,0x1};
SetWordType zzerr14[8] = {0x0,0x0,0x0,0x0, 0x80,0x0,0x0,0x1};
SetWordType zzerr15[8] = {0x0,0x1,0x0,0x0, 0x80,0x1,0x0,0x1};
SetWordType setwd4[58] = {0x0,0x2a,0x0,0x0,0x2a,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x40,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0xd5,0xd5,0xd5,0xd5,0x0,
	0x0,0x0,0x2a};
SetWordType zzerr16[8] = {0x12,0x1,0x0,0x0, 0x80,0x0,0x0,0x2};
SetWordType zzerr17[8] = {0x0,0x6,0x0,0x0, 0x0,0x0,0x0,0x0};
SetWordType zzerr18[8] = {0x16,0x0,0x0,0x0, 0x0,0x0,0x0,0x2};
SetWordType zzerr19[8] = {0x0,0x8,0x10,0x0, 0xc,0x40,0x0,0x0};
SetWordType zzerr20[8] = {0x0,0x6,0x0,0x0, 0x0,0x0,0x0,0x0};
SetWordType zzerr21[8] = {0x0,0x6,0x0,0x0, 0x0,0x0,0x0,0x0};
SetWordType zzerr22[8] = {0x0,0x6,0x0,0x0, 0x0,0x0,0x0,0x0};
SetWordType zzerr23[8] = {0x0,0x6,0x20,0x0, 0x42,0x1,0x0,0x0};
SetWordType setwd5[58] = {0x0,0xff,0x0,0x0,0xff,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0xff};
SetWordType zzerr24[8] = {0x12,0x0,0x0,0x0, 0x0,0x0,0x0,0x3};
SetWordType zzerr25[8] = {0x12,0x0,0x0,0x0, 0x0,0x0,0x0,0x3};
SetWordType zzerr26[8] = {0x12,0x0,0x0,0x0, 0x0,0x0,0x0,0x3};
SetWordType setwd6[58] = {0x0,0xe3,0x0,0x0,0xe3,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x1c,0x1c,0x1c,0x1c,0x0,
	0x0,0x0,0xe3};
SetWordType zzerr27[8] = {0x12,0x0,0x0,0x0, 0x0,0x80,0x3,0x2};
SetWordType zzerr28[8] = {0x0,0x0,0x0,0x0, 0x0,0x80,0x3,0x0};
SetWordType zzerr29[8] = {0x0,0x6,0x0,0x0, 0x0,0x0,0x0,0x0};
SetWordType setwd7[58] = {0x0,0xdd,0x0,0x0,0xdd,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x2,0x2,0x2,0x20,0x20,0x20,0x20,0x0,
	0x0,0x0,0xdd};
SetWordType zzerr30[8] = {0x60,0x0,0x0,0x0, 0x0,0x0,0x0,0x0};
SetWordType zzerr31[8] = {0xf2,0x1,0x0,0x0, 0x0,0x0,0x0,0x3};
SetWordType zzerr32[8] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x1};
SetWordType zzerr33[8] = {0x2,0x0,0x0,0x0, 0x0,0x0,0x0,0x1};
SetWordType zzerr34[8] = {0x2,0x0,0x0,0x0, 0x0,0x0,0x0,0x1};
SetWordType setwd8[58] = {0x0,0xae,0x0,0x0,0xe,0x9,0x9,
	0xe,0xe,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x8,0x0,0x0,
	0x0,0x0,0x0,0x5e,0x5e,0x5e,0x5e,0x0,
	0x0,0x0,0xe};
SetWordType setwd9[58] = {0x0,0xe,0x0,0x0,0xe,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x1,0x1,0x1,0x1,0x0,
	0x0,0x0,0xe};
