; $Id: gp32.inc,v 1.2 2001/08/17 11:54:43 rwuest Exp $
;
; SPGMR08 68HC08GP32 Loader
; Register definitions for the 68HC08GP32
; Copyright (c), 2001, Sirius Engineering Company
;
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License version 2.
; See the file COPYING that is distributed with this program.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

PTA     EQU $00
PTB     EQU $01
PTC     EQU $02
PTD     EQU $03
DDRA    EQU $04
DDRB    EQU $05
DDRC    EQU $06
DDRD    EQU $07
PTE     EQU $08
DDRE    EQU $0C

PTAPUE  EQU $0D
PTCPUE  EQU $0E
PTDPUE  EQU $0F

SPCR    EQU $10
SPSCR   EQU $11
SPDR    EQU $12

SCC1    EQU $13
SCC2    EQU $14
SCC3    EQU $15
SCS1    EQU $16
SCS2    EQU $17
SCDR    EQU $18
SCBR    EQU $19

INTKBSCR EQU $1A
INTKBIER EQU $1B

TBCR    EQU $1C
INTSCR  EQU $1D
CONFIG2 EQU $1E
CONFIG1 EQU $1F

T1SC    EQU $20
T1CNT   EQU $21
T1CNTH  EQU $21
T1CNTL  EQU $22
T1MOD   EQU $23
T1MODH  EQU $23
T1MODL  EQU $24
T1SC0   EQU $25
T1CH0   EQU $26
T1CH0H  EQU $26
T1CH0L  EQU $27
T1SC1   EQU $28
T1CH1   EQU $29
T1CH1H  EQU $29
T1CH1L  EQU $2A

T2SC    EQU $2B
T2CNT   EQU $2B
T2CNTH  EQU $2C
T2CNTL  EQU $2D
T2MOD   EQU $2E
T2MODH  EQU $2E
T2MODL  EQU $2F
T2SC0   EQU $30
T2CH0   EQU $31
T2CH0H  EQU $31
T2CH0L  EQU $32
T2SC1   EQU $33
T2CH1   EQU $34
T2CH1H  EQU $34
T2CH1L  EQU $35

PCTL    EQU $36

PBWC    EQU $37

PMS     EQU $38
PMSH    EQU $38
PMSL    EQU $39
PMRS    EQU $3A
PMDS    EQU $3B

ADSCR   EQU $3C
ADR     EQU $3D
ADCLK   EQU $3E

SBSR    EQU $FE00
SRSR    EQU $FE01
SUBAR   EQU $FE02
SBFCR   EQU $FE03
INT1    EQU $FE04
INT2    EQU $FE05
INT3    EQU $FE06

FLCR    EQU $FE08
BRK     EQU $FE09
BRKH    EQU $FE09
BRKL    EQU $FE0A
BRKSCR  EQU $FE0B
LVISR   EQU $FE0C
FLBPR   EQU $FF7E
COPCTL  EQU $FFFF

