#ifndef tokens_h
#define tokens_h
/* tokens.h -- List of labelled tokens and stuff
 *
 * Generated from: cli.g
 *
 * Terence Parr, Will Cohen, and Hank Dietz: 1989-2001
 * Purdue University Electrical Engineering
 * ANTLR Version 1.33MR33
 */
#define zzEOF_TOKEN 1
#define End 1
#define STR 2
#define PLUS 5
#define COLON 6
#define TO 7
#define FROM 8
#define ON 9
#define OFF 10
#define READ 11
#define WRITE 12
#define ERASE 13
#define PROGRAM 14
#define VERIFY 15
#define QUIT 16
#define RESET 17
#define SCODES 18
#define WCODES 19
#define TDEBUG 20
#define SERIAL 21
#define SET 22
#define VERSN 23
#define SOURCE 24
#define RUN 25
#define COMMENT 26
#define SCOPE 27
#define TCPU 28
#define SEND 29
#define SENDE1 30
#define SENDE2 31
#define DTR 32
#define MONITOR 33
#define STATUS 34
#define PORT 35
#define SP 36
#define STACK 37
#define FILEINFO 38
#define BLANK 39
#define ALL 40
#define SHOW 41
#define PUSH 42
#define TRY 43
#define AS 44
#define THELP 45
#define BAUDRATE 46
#define AB32 47
#define GP32 48
#define JB8 49
#define CINT 50
#define INT 51
#define MINT 52
#define MOTINT 53
#define GARBAGE 54

#ifdef __USE_PROTOS
void cmd_file(void);
#else
extern void cmd_file();
#endif

#ifdef __USE_PROTOS
void cmd_line(void);
#else
extern void cmd_line();
#endif

#ifdef __USE_PROTOS
void cmd_linei(void);
#else
extern void cmd_linei();
#endif

#ifdef __USE_PROTOS
void command(void);
#else
extern void command();
#endif

#ifdef __USE_PROTOS
void read_cmd(void);
#else
extern void read_cmd();
#endif

#ifdef __USE_PROTOS
void write_cmd(void);
#else
extern void write_cmd();
#endif

#ifdef __USE_PROTOS
void erase_cmd(void);
#else
extern void erase_cmd();
#endif

#ifdef __USE_PROTOS
void program_cmd(void);
#else
extern void program_cmd();
#endif

#ifdef __USE_PROTOS
void verify_cmd(void);
#else
extern void verify_cmd();
#endif

#ifdef __USE_PROTOS
void quit_cmd(void);
#else
extern void quit_cmd();
#endif

#ifdef __USE_PROTOS
void reset_cmd(void);
#else
extern void reset_cmd();
#endif

#ifdef __USE_PROTOS
void scodes_cmd(void);
#else
extern void scodes_cmd();
#endif

#ifdef __USE_PROTOS
void scodes_send_(void);
#else
extern void scodes_send_();
#endif

#ifdef __USE_PROTOS
void scodes_set_(void);
#else
extern void scodes_set_();
#endif

#ifdef __USE_PROTOS
void scodes_show_(void);
#else
extern void scodes_show_();
#endif

#ifdef __USE_PROTOS
void scodes_push_(void);
#else
extern void scodes_push_();
#endif

#ifdef __USE_PROTOS
void scodes_try_(void);
#else
extern void scodes_try_();
#endif

#ifdef __USE_PROTOS
void wcodes_cmd(void);
#else
extern void wcodes_cmd();
#endif

#ifdef __USE_PROTOS
void serial_cmd(void);
#else
extern void serial_cmd();
#endif

#ifdef __USE_PROTOS
void debug_cmd(void);
#else
extern void debug_cmd();
#endif

#ifdef __USE_PROTOS
void scope_cmd(void);
#else
extern void scope_cmd();
#endif

#ifdef __USE_PROTOS
void set_cmd(void);
#else
extern void set_cmd();
#endif

#ifdef __USE_PROTOS
void version_cmd(void);
#else
extern void version_cmd();
#endif

#ifdef __USE_PROTOS
void source_cmd(void);
#else
extern void source_cmd();
#endif

#ifdef __USE_PROTOS
void run_cmd(void);
#else
extern void run_cmd();
#endif

#ifdef __USE_PROTOS
void cpu_cmd(void);
#else
extern void cpu_cmd();
#endif

#ifdef __USE_PROTOS
void cpu_part(void);
#else
extern void cpu_part();
#endif

#ifdef __USE_PROTOS
void send_cmd(int ecnt);
#else
extern void send_cmd();
#endif

#ifdef __USE_PROTOS
void dtr_cmd(void);
#else
extern void dtr_cmd();
#endif

struct _rv30 {
	int base;
	int count;
};

#ifdef __USE_PROTOS
extern struct _rv30 address_expression(void);
#else
extern struct _rv30 address_expression();
#endif

#ifdef __USE_PROTOS
extern int integer(void);
#else
extern int integer();
#endif

struct _rv32 {
	int base;
	int count;
};

#ifdef __USE_PROTOS
extern struct _rv32 opt_address_expression(void);
#else
extern struct _rv32 opt_address_expression();
#endif

#ifdef __USE_PROTOS
extern int opinteger(void);
#else
extern int opinteger();
#endif

#ifdef __USE_PROTOS
extern int scode_spec(char * buf);
#else
extern int scode_spec();
#endif

#ifdef __USE_PROTOS
extern char * filename(void);
#else
extern char * filename();
#endif

#ifdef __USE_PROTOS
extern FILE * openfile(char * mode);
#else
extern FILE * openfile();
#endif

#endif
extern SetWordType zzerr1[];
extern SetWordType zzerr2[];
extern SetWordType zzerr3[];
extern SetWordType setwd1[];
extern SetWordType zzerr4[];
extern SetWordType zzerr5[];
extern SetWordType zzerr6[];
extern SetWordType zzerr7[];
extern SetWordType setwd2[];
extern SetWordType zzerr8[];
extern SetWordType zzerr9[];
extern SetWordType zzerr10[];
extern SetWordType setwd3[];
extern SetWordType zzerr11[];
extern SetWordType zzerr12[];
extern SetWordType zzerr13[];
extern SetWordType zzerr14[];
extern SetWordType zzerr15[];
extern SetWordType setwd4[];
extern SetWordType zzerr16[];
extern SetWordType zzerr17[];
extern SetWordType zzerr18[];
extern SetWordType zzerr19[];
extern SetWordType zzerr20[];
extern SetWordType zzerr21[];
extern SetWordType zzerr22[];
extern SetWordType zzerr23[];
extern SetWordType setwd5[];
extern SetWordType zzerr24[];
extern SetWordType zzerr25[];
extern SetWordType zzerr26[];
extern SetWordType setwd6[];
extern SetWordType zzerr27[];
extern SetWordType zzerr28[];
extern SetWordType zzerr29[];
extern SetWordType setwd7[];
extern SetWordType zzerr30[];
extern SetWordType zzerr31[];
extern SetWordType zzerr32[];
extern SetWordType zzerr33[];
extern SetWordType zzerr34[];
extern SetWordType setwd8[];
extern SetWordType setwd9[];
